Qt Cryptographic Architecture: QCA::SymmetricKey Class Reference

Qt Cryptographic Architecture

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
QCA::SymmetricKey Class Reference
QCA user API

`#include <QtCrypto>`

Collaboration diagram for QCA::SymmetricKey:
[legend]

## Public Member Functions
bool | isWeakDESKey ()
| SymmetricKey ()
| SymmetricKey (int size)
| SymmetricKey (const SecureArray &a)
| SymmetricKey (const QByteArray &a)
Public Member Functions inherited from QCA::SecureArray
SecureArray & | append (const SecureArray &a)
char & | at (int index)
const char & | at (int index) const
void | clear ()
const char * | constData () const
char * | data ()
const char * | data () const
void | fill (char fillChar, int fillToPosition=-1)
bool | isEmpty () const
bool | operator!= (const MemoryRegion &other) const
SecureArray & | operator+= (const SecureArray &a)
SecureArray & | operator= (const SecureArray &from)
SecureArray & | operator= (const QByteArray &a)
bool | operator== (const MemoryRegion &other) const
char & | operator[] (int index)
const char & | operator[] (int index) const
bool | resize (int size)
| SecureArray ()
| SecureArray (int size, char ch=0)
| SecureArray (const char *str)
| SecureArray (const QByteArray &a)
| SecureArray (const MemoryRegion &a)
| SecureArray (const SecureArray &from)
int | size () const
QByteArray | toByteArray () const
Public Member Functions inherited from QCA::MemoryRegion
const char & | at (int index) const
const char * | constData () const
const char * | data () const
bool | isEmpty () const
bool | isNull () const
bool | isSecure () const
| MemoryRegion (const char *str)
| MemoryRegion (const QByteArray &from)
| MemoryRegion (const MemoryRegion &from)
MemoryRegion & | operator= (const MemoryRegion &from)
MemoryRegion & | operator= (const QByteArray &from)
int | size () const
QByteArray | toByteArray () const

## Additional Inherited Members
Protected Member Functions inherited from QCA::SecureArray
void | set (const SecureArray &from)
void | set (const QByteArray &from)
Protected Member Functions inherited from QCA::MemoryRegion
char & | at (int index)
char * | data ()
| MemoryRegion (bool secure)
| MemoryRegion (int size, bool secure)
| MemoryRegion (const QByteArray &from, bool secure)
bool | resize (int size)
void | set (const QByteArray &from, bool secure)
void | setSecure (bool secure)

## Detailed Description

Container for keys for symmetric encryption algorithms.

Examples:
  aes-cmac.cpp, ciphertest.cpp, and mactest.cpp.

## Constructor & Destructor Documentation

QCA::SymmetricKey::SymmetricKey | ( |  | ) |

Construct an empty (zero length) key.

QCA::SymmetricKey::SymmetricKey | ( | int | size | ) |

Construct an key of specified size, with random contents.

This is intended to be used as a random session key.

Parameters

  size | the number of bytes for the key

QCA::SymmetricKey::SymmetricKey | ( | const SecureArray & | a | ) |

Construct a key from a provided byte array.

Parameters

  a | the byte array to copy

QCA::SymmetricKey::SymmetricKey | ( | const QByteArray & | a | ) |

Construct a key from a provided byte array.

Parameters

  a | the byte array to copy

## Member Function Documentation

bool QCA::SymmetricKey::isWeakDESKey | ( |  | ) |

Test for weak DES keys.

Returns
  true if the key is a weak key for DES

The documentation for this class was generated from the following file:

- qca_core.h